/* bullet.h - Header for bullet.c */

#ifndef BULLET_H_INC
#define BULLET_H_INC

#include <allegro.h>
#include "draw.h"

typedef struct bullet_s {
  fixed x, y;
  fixed xs, ys;
  fixed angle;
  BITMAP *image;
  struct bullet_s *prev;
  struct bullet_s *next;
} bullet_t;

extern bullet_t *bullet_list;
extern bullet_t *last_bullet;

void new_bullet(fixed x, fixed y, fixed xs, fixed ys, fixed angle);
void del_bullet(bullet_t *bullet);
void draw_bullets(BITMAP *canvas);
void update_bullets(void);
void del_all_bullets(void);

#endif
